#set_property PACKAGE_PIN T8 [get_ports LED]
#set_property IOSTANDARD LVCMOS33 [get_ports LED]

# LEDs
set_property PACKAGE_PIN P2  [get_ports LED[15]]
set_property PACKAGE_PIN R2  [get_ports LED[14]]
set_property PACKAGE_PIN U1  [get_ports LED[13]]
set_property PACKAGE_PIN P5  [get_ports LED[12]]

set_property PACKAGE_PIN R1  [get_ports LED[11]]
set_property PACKAGE_PIN V1  [get_ports LED[10]]
set_property PACKAGE_PIN U3  [get_ports LED[9]]
set_property PACKAGE_PIN V4  [get_ports LED[8]]

set_property PACKAGE_PIN U6  [get_ports LED[7]]
set_property PACKAGE_PIN U7  [get_ports LED[6]]
set_property PACKAGE_PIN T4  [get_ports LED[5]]
set_property PACKAGE_PIN T5  [get_ports LED[4]]

set_property PACKAGE_PIN T6  [get_ports LED[3]]
set_property PACKAGE_PIN R8  [get_ports LED[2]]
set_property PACKAGE_PIN V9  [get_ports LED[1]]
set_property PACKAGE_PIN T8  [get_ports LED[0]]

set_property IOSTANDARD LVCMOS33 [get_ports {LED[*]}]

## Switches
set_property PACKAGE_PIN P4  [get_ports SW[15]]
set_property PACKAGE_PIN P3  [get_ports SW[14]]
set_property PACKAGE_PIN R3  [get_ports SW[13]]
set_property PACKAGE_PIN T1  [get_ports SW[12]]
#
set_property PACKAGE_PIN T3  [get_ports SW[11]]
#set_property PACKAGE_PIN U2  [get_ports SW[10]]
#set_property PACKAGE_PIN V2  [get_ports SW[9]]
#set_property PACKAGE_PIN U4  [get_ports SW[8]]
#
#set_property PACKAGE_PIN V5  [get_ports SW[7]]
#set_property PACKAGE_PIN V6  [get_ports SW[6]]
set_property PACKAGE_PIN V7  [get_ports SW[5]]
set_property PACKAGE_PIN R5  [get_ports SW[4]]
#
set_property PACKAGE_PIN R6  [get_ports SW[3]]
set_property PACKAGE_PIN R7  [get_ports SW[2]]
set_property PACKAGE_PIN U8  [get_ports SW[1]]
set_property PACKAGE_PIN U9  [get_ports SW[0]]

set_property IOSTANDARD LVCMOS33 [get_ports {SW[*]}]

## PS/2
set_property PACKAGE_PIN F4 [get_ports PS2_CLK]
set_property IOSTANDARD LVCMOS33 [get_ports PS2_CLK]
set_property PULLUP true [get_ports PS2_CLK]

set_property PACKAGE_PIN B2 [get_ports PS2_DAT]
set_property IOSTANDARD LVCMOS33 [get_ports PS2_DAT]
set_property PULLUP true [get_ports PS2_DAT]

# Tri-color LED
set_property PACKAGE_PIN K5  [get_ports TRI_LED2[2]]
set_property PACKAGE_PIN F13 [get_ports TRI_LED2[1]]
set_property PACKAGE_PIN F6  [get_ports TRI_LED2[0]]

set_property PACKAGE_PIN K6  [get_ports TRI_LED1[2]]
set_property PACKAGE_PIN H6  [get_ports TRI_LED1[1]]
set_property PACKAGE_PIN L16 [get_ports TRI_LED1[0]]
set_property IOSTANDARD LVCMOS33 [get_ports {TRI_LED2[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TRI_LED1[*]}]

# Accelerometer SPI
set_property PACKAGE_PIN D13 [get_ports ADXL_MISO]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_MISO]

set_property PACKAGE_PIN B14 [get_ports ADXL_MOSI]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_MOSI]

set_property PACKAGE_PIN D15 [get_ports ADXL_SCLK]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_SCLK]

set_property PACKAGE_PIN C15 [get_ports ADXL_CS_N]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_CS_N]

# Temp Sensor I2C
set_property PACKAGE_PIN F16 [get_ports TMP_SCL]
set_property IOSTANDARD LVCMOS33 [get_ports TMP_SCL]
set_property PACKAGE_PIN G16 [get_ports TMP_SDA]
set_property IOSTANDARD LVCMOS33 [get_ports TMP_SDA]

# MEMS Microphone

set_property -dict "PACKAGE_PIN J5 IOSTANDARD LVCMOS33" [get_ports "ADMP_CLK"]
set_property -dict "PACKAGE_PIN F5 IOSTANDARD LVCMOS33" [get_ports "ADMP_LR"]
set_property -dict "PACKAGE_PIN H5 IOSTANDARD LVCMOS33" [get_ports "ADMP_DATA"]

# [7:0] = { dot, cathode A-G}
set_property PACKAGE_PIN M4 [get_ports CATHODE[7]]
set_property PACKAGE_PIN L3 [get_ports CATHODE[6]]
set_property PACKAGE_PIN N1 [get_ports CATHODE[5]]
set_property PACKAGE_PIN L5 [get_ports CATHODE[4]]
set_property PACKAGE_PIN L4 [get_ports CATHODE[3]]
set_property PACKAGE_PIN K3 [get_ports CATHODE[2]]
set_property PACKAGE_PIN M2 [get_ports CATHODE[1]]
set_property PACKAGE_PIN L6 [get_ports CATHODE[0]]
set_property IOSTANDARD LVCMOS33 [get_ports {CATHODE[*]}]

set_property PACKAGE_PIN N6 [get_ports ANODE[0]]
set_property PACKAGE_PIN M6 [get_ports ANODE[1]]
set_property PACKAGE_PIN M3 [get_ports ANODE[2]]
set_property PACKAGE_PIN N5 [get_ports ANODE[3]]
set_property PACKAGE_PIN N2 [get_ports ANODE[4]]
set_property PACKAGE_PIN N4 [get_ports ANODE[5]]
set_property PACKAGE_PIN L1 [get_ports ANODE[6]]
set_property PACKAGE_PIN M1 [get_ports ANODE[7]]
set_property IOSTANDARD LVCMOS33 [get_ports {ANODE[*]}]

# Center button as RST
set_property PACKAGE_PIN E16 [get_ports RST]
set_property IOSTANDARD LVCMOS33 [get_ports RST]

# Left button 
set_property PACKAGE_PIN T16 [get_ports BTN_L]
set_property IOSTANDARD LVCMOS33 [get_ports BTN_L]

# Clock
set_property PACKAGE_PIN E3 [get_ports CLK]
set_property IOSTANDARD LVCMOS33 [get_ports CLK]
create_clock -period 10 [get_ports CLK]
