#set_property PACKAGE_PIN T8 [get_ports LED]
#set_property IOSTANDARD LVCMOS33 [get_ports LED]

# LEDs
set_property  PACKAGE_PIN H17   [get_ports LED[0]]
set_property  PACKAGE_PIN K15   [get_ports LED[1]]
set_property  PACKAGE_PIN J13   [get_ports LED[2]]
set_property  PACKAGE_PIN N14   [get_ports LED[3]]
set_property  PACKAGE_PIN R18   [get_ports LED[4]]
set_property  PACKAGE_PIN V17   [get_ports LED[5]]
set_property  PACKAGE_PIN U17   [get_ports LED[6]]
set_property  PACKAGE_PIN U16   [get_ports LED[7]]
set_property  PACKAGE_PIN V16   [get_ports LED[8]]
set_property  PACKAGE_PIN T15   [get_ports LED[9]]
set_property  PACKAGE_PIN U14   [get_ports LED[10]]
set_property  PACKAGE_PIN T16   [get_ports LED[11]]
set_property  PACKAGE_PIN V15   [get_ports LED[12]]
set_property  PACKAGE_PIN V14   [get_ports LED[13]]
set_property  PACKAGE_PIN V12   [get_ports LED[14]]
set_property  PACKAGE_PIN V11   [get_ports LED[15]]

set_property IOSTANDARD LVCMOS33 [get_ports {LED[*]}]

## Switches

set_property PACKAGE_PIN J15   [get_ports  SW[0]]
set_property PACKAGE_PIN L16   [get_ports  SW[1]]
set_property PACKAGE_PIN M13   [get_ports  SW[2]]
set_property PACKAGE_PIN R15   [get_ports  SW[3]]
set_property PACKAGE_PIN R17   [get_ports  SW[4]]
set_property PACKAGE_PIN T18   [get_ports  SW[5]]
set_property PACKAGE_PIN U18   [get_ports  SW[6]]
set_property PACKAGE_PIN R13   [get_ports  SW[7]]
set_property PACKAGE_PIN T8    [get_ports  SW[8]]
set_property PACKAGE_PIN U8    [get_ports  SW[9]]
set_property PACKAGE_PIN R16   [get_ports  SW[10]]
set_property PACKAGE_PIN T13   [get_ports  SW[11]]
set_property PACKAGE_PIN H6    [get_ports  SW[12]]
set_property PACKAGE_PIN U12   [get_ports  SW[13]]
set_property PACKAGE_PIN U11   [get_ports  SW[14]]
set_property PACKAGE_PIN V10   [get_ports  SW[15]]


set_property IOSTANDARD LVCMOS33 [get_ports {get_ports SW[*] -filter {NAME != SW[8] && NAME != SW[9]}}]

set_property IOSTANDARD LVCMOS18 [get_ports SW[8]]
set_property IOSTANDARD LVCMOS18 [get_ports SW[9]]

## PS/2
set_property PACKAGE_PIN F4 [get_ports PS2_CLK]
set_property IOSTANDARD LVCMOS33 [get_ports PS2_CLK]
set_property PULLUP true [get_ports PS2_CLK]

set_property PACKAGE_PIN B2 [get_ports PS2_DAT]
set_property IOSTANDARD LVCMOS33 [get_ports PS2_DAT]
set_property PULLUP true [get_ports PS2_DAT]

# Tri-color LED
set_property PACKAGE_PIN R12 [get_ports TRI_LED2[2]]
set_property PACKAGE_PIN M16 [get_ports TRI_LED2[1]]
set_property PACKAGE_PIN N15 [get_ports TRI_LED2[0]]

set_property PACKAGE_PIN G14  [get_ports TRI_LED1[2]]
set_property PACKAGE_PIN R11 [get_ports TRI_LED1[1]]
set_property PACKAGE_PIN N16 [get_ports TRI_LED1[0]]
set_property IOSTANDARD LVCMOS33 [get_ports {TRI_LED2[*]}]
set_property IOSTANDARD LVCMOS33 [get_ports {TRI_LED1[*]}]

# Accelerometer SPI
set_property PACKAGE_PIN E15 [get_ports ADXL_MISO]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_MISO]

set_property PACKAGE_PIN F14 [get_ports ADXL_MOSI]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_MOSI]

set_property PACKAGE_PIN F15 [get_ports ADXL_SCLK]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_SCLK]

set_property PACKAGE_PIN D15 [get_ports ADXL_CS_N]
set_property IOSTANDARD LVCMOS33 [get_ports ADXL_CS_N]

# Temp Sensor I2C
set_property PACKAGE_PIN C14 [get_ports TMP_SCL]
set_property IOSTANDARD LVCMOS33 [get_ports TMP_SCL]
set_property PACKAGE_PIN C15 [get_ports TMP_SDA]
set_property IOSTANDARD LVCMOS33 [get_ports TMP_SDA]

# MEMS Microphone

set_property -dict "PACKAGE_PIN J5 IOSTANDARD LVCMOS33" [get_ports "ADMP_CLK"]
set_property -dict "PACKAGE_PIN F5 IOSTANDARD LVCMOS33" [get_ports "ADMP_LR"]
set_property -dict "PACKAGE_PIN H5 IOSTANDARD LVCMOS33" [get_ports "ADMP_DATA"]

# [7:0] = { dot, cathode A-G}
set_property PACKAGE_PIN H15 [get_ports CATHODE[7]]
set_property PACKAGE_PIN T10 [get_ports CATHODE[6]]
set_property PACKAGE_PIN R10 [get_ports CATHODE[5]]
set_property PACKAGE_PIN K16 [get_ports CATHODE[4]]
set_property PACKAGE_PIN K13 [get_ports CATHODE[3]]
set_property PACKAGE_PIN P15 [get_ports CATHODE[2]]
set_property PACKAGE_PIN T11 [get_ports CATHODE[1]]
set_property PACKAGE_PIN L18 [get_ports CATHODE[0]]
set_property IOSTANDARD LVCMOS33 [get_ports {CATHODE[*]}]

set_property PACKAGE_PIN J17 [get_ports ANODE[0]]
set_property PACKAGE_PIN J18 [get_ports ANODE[1]]
set_property PACKAGE_PIN T9  [get_ports ANODE[2]]
set_property PACKAGE_PIN J14 [get_ports ANODE[3]]
set_property PACKAGE_PIN P14 [get_ports ANODE[4]]
set_property PACKAGE_PIN T14 [get_ports ANODE[5]]
set_property PACKAGE_PIN K2  [get_ports ANODE[6]]
set_property PACKAGE_PIN U13 [get_ports ANODE[7]]
set_property IOSTANDARD LVCMOS33 [get_ports {ANODE[*]}]

# Center button as RST
set_property PACKAGE_PIN N17 [get_ports RST]
set_property IOSTANDARD LVCMOS33 [get_ports RST]

# Left button 
set_property PACKAGE_PIN P17 [get_ports BTN_L]
set_property IOSTANDARD LVCMOS33 [get_ports BTN_L]

# Clock
set_property PACKAGE_PIN E3 [get_ports CLK]
set_property IOSTANDARD LVCMOS33 [get_ports CLK]
create_clock -period 10 [get_ports CLK]
